Foxit PDF SDK

Instance Methods | Properties | List of all members
FSRemoteGotoAction Class Reference
Inheritance diagram for FSRemoteGotoAction:

## Instance Methods
(id) | - initWithAction:
| Constructor, with parent class object. More...
Instance Methods inherited from FSAction
(FSPDFDictionary *) | - getDict
| Get PDF dictionary of current object. More...
(FSPDFDoc *) | - getDocument
| Get the PDF document, to which current action belongs. More...
(FSAction *) | - getSubAction:
| Get a sub-action by index. More...
(int) | - getSubActionCount
| Get the count of sub-actions. More...
(FSActionType) | - getType
| Get action type. More...
(id) | - initWithDocument:action_dict:
| Constructor, with parameters. More...
(void) | - insertSubAction:sub_action:
| Insert a new sub-action to the location specified by index. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - removeAllSubActions
| Remove all the sub-actions. More...
(void) | - removeSubAction:
| Remove a sub-action, specified by index. More...
(void) | - setSubAction:sub_action:
| Set a sub-action by index. More...

## Properties
FSDestination * | destination
| Get or Set the destination information. More...
NSString * | destinationName
| Get or Set the destination name, which is defined in target PDF file. More...
FSFileSpec * | fileSpec
| Get or Set the file specification which specifies the destination file.
FSActionNewWindowFlag | newWindowFlag
| Get or Set the flag which is used to decide whether to open the destination document in a new window or not.

## Additional Inherited Members
Class Methods inherited from FSAction
(FSAction *) | + create:action_type:
| Create a new action, for specified action type. More...

## Detailed Description

Remote go-to action is similar to an ordinary go-to action but jumps to a destination in another PDF file (not embedded file) instead of current PDF file (which contains the remote go-to action).
Class FSRemoteGotoAction is derived from FSAction and offers functions to get/set remote go-to action data. Destination information of a remote go-to action can be represents as either a destination array or a destination name:

- If the destination information is a destination array, Foxit PDF SDK uses a destination object to represent it and FSRemoteGotoAction::destination can be used to get such value.
- If the destination information is a destination name, Foxit PDF SDK uses a string to represent it and FSRemoteGotoAction::destinationName can be used to get such value. Specially, the related destination array is defined in the target PDF file, not current PDF file. User can use functions in class FSPDFNameTree to retrieve the actual destination array from target PDF file.

Destination PDF file and destination information are necessary for a remote go-to action, so user should ensure to set both data by FSRemoteGotoAction::fileSpec and FSRemoteGotoAction::destination or FSRemoteGotoAction::destinationName, especially for a new remote go-to action; otherwise, the remote go-to action would be useless.

See also
  FSAction

## Method Documentation

## ◆ initWithAction:()

- (id) initWithAction: |  | (FSAction*) | action |

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

Reimplemented from FSAction.

## Property Documentation

## ◆ destination

- (FSDestination *) destination
| read write nonatomic weak

Get or Set the destination information.

For a remote go-to action, the destination information can be stored as either a destination object or a destination name:

- If it is a destination object, function FSRemoteGotoAction::destination would return a valid destination object.
- If it is a destination name, function FSRemoteGotoAction::destinationName would return a valid string, and the destination name would be defined in the target PDF file.

If the return value of function FSDestination::isEmpty for the returned destination object is YES and function FSRemoteGotoAction::destinationName returns an empty string, that means the remote go-to action does not have any destination information.

## ◆ destinationName

- (NSString *) destinationName
| read write nonatomic weak

Get or Set the destination name, which is defined in target PDF file.

For a remote go-to action, the destination information can be stored as either a destination object or a destination name:

- If it is a destination object, function FSRemoteGotoAction::destination would return a valid destination object.
- If it is a destination name, function FSRemoteGotoAction::destinationName would return a valid string, and the destination name would be defined in the target PDF file.

If the return value of function FSDestination::isEmpty for the returned destination object is YES and function FSRemoteGotoAction::destinationName returns an empty string, that means the remote go-to action does not have any destination information.